#
# spec file for package rubygem-gpgme
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-gpgme
Version:        2.0.23
Release:        1.3
%define mod_name gpgme
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  libassuan-devel >= 2.0.2
BuildRequires:  libgpg-error-devel >= 1.8
BuildRequires:  libgpgme-devel >= 1.2.0
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
URL:            http://github.com/ueno/ruby-gpgme
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-gpgme-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Ruby binding of GPGME
License:        LGPL-2.1-or-later

%description
Ruby-GPGME is a Ruby language binding of GPGME (GnuPG
Made Easy). GnuPG Made Easy (GPGME) is a library designed to make access to
GnuPG easier for applications. It provides a High-Level Crypto API for
encryption, decryption, signing, signature verification and key management.

%prep

%build

%install
# MANUAL
export RUBY_GPGME_USE_SYSTEM_LIBRARIES=1
# /MANUAL
%gem_install \
  -f
%gem_cleanup

%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.0.23, no changelog found
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.22
  no changelog found
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.21
  no changelog found
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.20
  no changelog found
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.19
  no changelog found
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.18
  no changelog found
* Tue Jan  9 2018 coolo@suse.com
- updated to version 2.0.16
  no changelog found
* Sun Dec  3 2017 coolo@suse.com
- updated to version 2.0.14
  no changelog found
* Thu Aug  3 2017 coolo@suse.com
- updated to version 2.0.13
  no changelog found
* Wed Jan 20 2016 coolo@suse.com
- updated to version 2.0.12
  no changelog found
* Wed Dec 16 2015 coolo@suse.com
- updated to version 2.0.11
  no changelog found
* Thu Aug 27 2015 coolo@suse.com
- updated to version 2.0.10
  no changelog found
* Sat Jul 25 2015 coolo@suse.com
- updated to version 2.0.9
  no changelog found
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.0.8
* Mon Sep 29 2014 mrueckert@suse.de
- update to version 2.0.7: no changelog
- dropped gpgme-2.0.1.diff and replaced it with setting
  RUBY_GPGME_USE_SYSTEM_LIBRARIES environment variable.
- update to new packaging scheme and add gem2rpm.yml to track
  rpmlintrc and the needed modifications to the normal spec file
* Fri Mar 21 2014 coolo@suse.com
- updated to version 2.0.5, no changelog
* Mon Mar  3 2014 kkaempf@suse.com
- add rpmlintrc
* Sun Feb 16 2014 kkaempf@suse.com
- use new macros
* Sun Jun  9 2013 coolo@suse.com
- updated to version 2.0.2
* Sat Dec 15 2012 coolo@suse.com
- updated to version 2.0.1
* Sun Aug  5 2012 coolo@suse.com
- updated to version 2.0.1
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Dec  9 2009 dmacvicar@novell.com
- initial package for 1.0.8
